import {Component} from '@angular/core';
import {EditorNodeContract} from '../EditorNode.contract';

@Component({
    selector: 'editor-norm',
    templateUrl: './norm.component.html',
    styleUrls: ['./norm.component.scss'],
})
export class NormComponent extends EditorNodeContract {
    public isFocused = false;

    public isDirty(): boolean | Promise<boolean> {
        return false; // TODO implement
    }

    onFocusIn(event: MouseEvent) {
        this.isFocused = true;
    }

    onFocusOut(event: MouseEvent) {
        this.isFocused = false;
    }
}
